### Method

# Foundry CliOptions load_context

#### Declaration [src]

    DexFuture*
    foundry_cli_options_load_context (
      FoundryCliOptions* self,
      FoundryCommandLine* command_line
    )

#### Description [src]

Loads the `FoundryContext` based on option values.

#### Parameters

`command_line`

  Type: `FoundryCommandLine`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryContext`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.